Subject: [bug#44721] [PATCH] gnu: Add terraform.

From: EuAndreh <[email-masked]>
Date: Sun, 22 Nov 2020 19:11:09 -0300

Christopher Baines <[email-masked]> writes:

> Hi,
>
> Thanks for the patch. I've also written a package definition like this,
> which works, but isn't yet suitable for inclusion in Guix, because it
> misrepresents the dependencies/inputs.
>
> Terraform has a number of dependencies, but this package does
> not. Properly packaging it for Guix will require packaging those
> dependencies, then making a package definition which actually uses those
> dependencies.

Hi there. Thanks for the explanation.

I didn't inspect the dependencies of Terraform itself. I just tried
using the "go-build-system" and tested the resulting binary.

I'll check the linked discussions to better understand and further
investigate.